rem ###################################################################################################
rem # $1 : input G.723.1 bitstream file
rem # $2 : synthesized output speech file
rem # $3 : channel bitrate configuration file (this ASCII file contains the 8 allowed channel bitrates)
rem # $4 : channel bitrate (either fixed channel bitrate (e.g. 12000) or binary file with 16 bit
rem #                       channel bitrate values for each 30 ms frame)
rem # $5 : number of frames (either specify "/f=[number of frames]" or a number. In the latter case
rem #                        this number specifies the entry to the error pattern and the whole file
rem #                    is processed)
rem ###################################################################################################
rem #
rem #-------------------
rem #| channel encoder |
rem #-------------------
rem #
enc\chan_enc     %1     chanbit.tx  %3 %4 %5
rem #
rem #----------------
rem #| transmission |
rem #----------------
rem #
map\chan_map  chanbit.tx chanbit.rx  %3 %5
rem #
rem #------------------------------------
rem #| channel decoder + speech decoder |
rem #------------------------------------
rem #
dec\chan_dec chanbit.rx    %2    %3 %5
rem #
del chanbit.tx
del chanbit.rx
